export default {
  stringToHex (str) {
    // 将字符串转换为UTF-8编码的字节数组
    var byteArray = new TextEncoder().encode(str);
    // 将字节数组转换为16进制字符串
    var hexString = Array.prototype.map.call(byteArray, function(byte) {
      return ('0' + byte.toString(16)).slice(-2)
    }).join('')
    return hexString
  },
  hexToString (hexString) {
    // 将16进制字符串转换为字节数组
    var byteArray = hexString.match(/.{1,2}/g).map(function (byteStr) {
      return parseInt(byteStr, 16)
    })
    // 将字节数组转换为字符串
    var str = new TextDecoder().decode(new Uint8Array(byteArray))
    return str
  }
}
